package com.buy507.mall.portal.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class AccountDetailResult {
	
	@ApiModelProperty(value = "收支类型（0->收入；1->支出）")
	private Integer type;
	
	@ApiModelProperty(value = "收支类型（0->收入；1->支出）")
	private String typeName;
	
	@ApiModelProperty(value = "金额")
	private BigDecimal value;
	
	@ApiModelProperty(value = "显示标题")
	private String title;
	
	@ApiModelProperty(value = "备注")
	private String note;
	
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public BigDecimal getValue() {
		return value;
	}

	public void setValue(BigDecimal value) {
		this.value = value;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
}
